body {
  margin: 0;
  height: 100vh;
  display: grid;
  place-items: center;
  background-image: linear-gradient(180deg, #efe8e8 0, #dfe1e1 16.67%, #ced9db 33.33%, #bcd1d6 50%, #aac8d1 66.67%, #99c0ce 83.33%, #8ab8cb 100%);
  color: #1e293b;
  font-family: "Euclid Circular A", "Poppins";
}

h2,
h3,
h4 {
  margin: 0;
  font-weight: 500;
}

.cards {
  display: flex;
  gap: 30px;
}

article {
  position: relative;
  perspective: 1000px;
  width: 300px;
  height: 300px;
}

article header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 40px;
  margin-bottom: 26px;
}

article header h2 {
  font-size: 20px;
}

article .front,
article .back {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  backface-visibility: hidden;
  background: #ffffff;
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.1) 0px 1px 2px -1px;
  padding: 24px;
  transition: 0.6s;
  cursor: pointer;
}

.back {
  transform: rotateY(180deg);
}

input {
  position: absolute;
  scale: 0;
}

input:checked ~ article .back {
  transform: rotateY(0);
}

input:checked ~ article .front {
  transform: rotateY(-180deg);
}

article var {
  font-style: normal;
  font-size: 80px;
  line-height: 1;
}

article h3 {
  margin: 0 0 30px;
  font-weight: 500;
}

#summary :is(var, h3) {
  color: #3b82f6;
}

#overdue :is(var, h3) {
  color: #ef4444;
}

#features :is(var, h3) {
  color: #22c55e;
}

article :is(h4, p) {
  opacity: 0.5;
  font-size: 20px;
}

article p {
  margin-top: 76px;
}

#btn_texto{
  display: none;
}


/* mensagem de alterta */

.alert {
  padding: 20px;
  background-color: #f44336;
  color: white;
  opacity: 1;
  transition: opacity 0.6s;
  margin-bottom: 15px;
  display: none;
  position: fixed; 
  top: 20px; 
  left: 50%; 
  transform: translateX(-50%); 
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2); 
  z-index: 1000; 
}

@media screen and (max-width: 600px) {
  .alert {
    width: 80%; 
    padding: 10px; 
    font-size: 14px; 
    top: 10px; 
  }
}




.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  
}

.closebtn:hover {
  color: black;
}

button {
  display: none;
}

@media(min-width:320px) and (max-width:900px) {
  .cards{
     display: flex; 
     flex-direction: column; 
     height: 90vh;
  }
}

@media(min-width:320px) and (max-width:900px) {
    .front .back{
     width: 40%;
     height: 40%;
  }
} 


@media(min-width:320px) and (max-width:900px) {
  article {
   width: 230px;
   height: 230px;

} }

@media(min-width:320px) and (max-width:900px) {
 #p_press, #p_temp , #p_Watt , h3{
  font-size: 25px

} }

@media(min-width:320px) and (max-width:900px) {
  .back p{
   font-size: 14px;

 
 } }